## happy 1.16~rc2

=== Makefile ===
TOP = ..
include $(TOP)/mk/boilerplate.mk

SUBDIRS = src templates doc

include $(TOP)/mk/target.mk
