## happy 1.18.4

=== debian/changelog ===
happy (1.18.4-2) unstable; urgency=low

  [ Iain Lane ]
  * debian/rules: Remove doc/configure in clean, forgotten before and caused
    package to be unclean.

  [ Marco Túlio Gontijo e Silva ]
  * debian/control: Change Priority: to extra.
  * debian/watch: Use format that works for --download-current-version.
  * debian/watch: Add .tar.gz to downloaded filename.
  * debian/watch: Include package name in downloaded .tar.gz.
  * debian/watch: Remove spaces, since they're not allowed by uscan.
  * debian/control: Bump Standards-Version: to 3.8.4, no changes needed.
  * debian/control: Bump version of Build-Depends: on haskell-devscripts
    to 0.7 and remove versioned Build-Depends: on ghc6.
  * Use 3.0 (quilt) format.

 -- Marco Túlio Gontijo e Silva <marcot@debian.org>  Sun, 21 Feb 2010 07:31:12 -0300

happy (1.18.4-1) unstable; urgency=low

  * New upstream release 1.18.4
    - New feature: EBNF-style paramterized macros, thanks to
      Iavor Diatchki.
    - Works with Cabal 1.2, 1.4 and 1.6
    - A few minor bugfixes
      + Manpage now correctly specifies options required for -d to work
        (Closes: #326952)
  * debian/control, debian/copyright, debian/rules: Adopt for Debian Haskell
    Group, add myself to Uploaders and remove Ian Lynagh (Igloo). Thanks for
    your previous maintainership. Add VCS information.
  * debian/control: Update long description
  * debian/control: Standards-version 3.8.3
    - Section: haskell
    - Add debian/README.source for new patchsys
  * debian/rules, debian/control, debian/happy.*, debian/compat: Fairly major
    rewrite to use cdbs and hlibrary.mk
  * debian/control, debian/patches/templates_path.patch, debian/rules: Add
    quilt patchsys and patch Setup.lhs to install templates in out/ directory.
    They are usually installed in the build root which means there is no easy
    way to install them all at once.
  * debian/rules, debian/control: Upstream doesn't ship doc/configure required
    for the doc build - use autoconf to generate it at build-time. Requires a
    build-dep on autoconf.

 -- Iain Lane <laney@ubuntu.com>  Sun, 04 Oct 2009 13:31:04 +0100

happy (1.17-0.2) unstable; urgency=low

  * Non-maintainer upload.
  * Apply patch from Ruben Molina and Matt Kraai to fix FTBFS with a 
    recent GHC6. (Closes: #516425).

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 17 Aug 2009 18:26:15 +0200

happy (1.17-0.1) unstable; urgency=low

  * Non-maintainer upload.
  * New upstream release: (Closes: #470942)
    - Cabal 1.2 is now required. (Closes: #460375)
    - Works with upcoming GHC 6.8.1
    - Fix the 'parE' bug (poor error message for errors in the grammar)
    - Some performance improvements to Happy itsel
  * debian/control:
    - Added Homepage field.
    - Bump the build dependency on ghc6 to 6.8.2 as the packages needs
      Cabal 1.2 to build.
    - Bump the Standards-Version to 3.7.3. No changes needed.
    - Add happy and libghc6-mtl-dev to the build dependencies.
  * debian/copyright:
    - Fix debian-copyright-file-uses-obsolete-national-encoding lintian
      warning.
    - Update debian/copyright file with info from upstream LICENSE file.
  * debian/doc-base:
    - Adjust section to Programming/Haskell
  * debian/get_version.hs: Updated for Cabal 1.2
  * debian/rules:
    - Fix debian-rules-ignores-make-clean-error lintian warning.
    - Remove the LICENSE installed by ./setup copy
  
 -- Arjan Oosting <arjan@debian.org>  Thu, 01 May 2008 12:05:29 +0200

happy (1.16~rc2-1) unstable; urgency=low

  * New upstream (release candidate) version.
  * Removed happy/ prefixes from various paths in debian/rules and
    debian/docs.
  * doc/configure generated by autoconf is in the Debian diff.
  * Build using cabal:
    * Various debian/rules changes.
    * Create debian/get_version.hs for extracting the version from the cabal
      file.
    * Requires ghc6 >= 6.4.2.
    * No longer tries to detect platform. Closes: #340325, #332979.
    * Removed autotool-dev build-dep.
  * Add 'XSLTPROC_OPTS = --nonet' to doc/config.mk.in.
  * Remove src/Parser.ly and src/AttrGrammarParser.ly before cleaning so
    the generated files don't get cleaned.
  * Set Standards-Version to 3.7.2 (no changes needed).
  * Removed PS and DVI stanzas from debian/doc-base as we don't build
    the documentation those ways.
  * Removed content-free postinst and prerm.

 -- Ian Lynagh (wibble) <igloo@debian.org>  Thu, 26 Oct 2006 22:52:14 +0000

happy (1.15-2) unstable; urgency=low

  * Revert unnecessary strictification of ghc6 build-dep to make
    backports simpler.
  * Build-dep on docbook-xml so we don't need to get things from the
    'net when building.

 -- Ian Lynagh (wibble) <igloo@debian.org>  Tue, 13 Sep 2005 17:58:31 +0100

happy (1.15-1.1) unstable; urgency=low

  * NMU to make installable in unstable.
  * Rebuild against newer GHC6 to link to appropriate libgmp.
  * Remove ghc5 from build-depends in debian/control.
  * Updated build-depends on ghc6 to 6.4-4.1 to make sure that
    the package gets built with the appropriate ghc6 that includes the
    libgmp fix.

 -- John Goerzen <jgoerzen@complete.org>  Fri,  9 Sep 2005 06:33:04 -0500

happy (1.15-1) unstable; urgency=low

  * New upstream version.
  * Don't build ps documentation due to xmltex bug #181444 and friends.
  * Build-dep on xsltproc, docbook-xsl for the HTML documentation.

 -- Ian Lynagh (wibble) <igloo@debian.org>  Fri, 28 Jan 2005 22:47:45 +0000

happy (1.14-1) unstable; urgency=low

  * New upstream version.
  * Change how configure/config.sub/config.guess are handled in line
    with /usr/share/doc/autotools-dev/README.Debian.gz.
  * Added mipsel and x86_64 to configure{,.ac}. Closes: #253166.
  * Get rid of unportable {a,b} syntax in debian/rules.
  * Say we replace ghc-cvs (<< 20031221) as old ghc-cvs accidentally
    included happy.

 -- Ian Lynagh (wibble) <igloo@debian.org>  Thu, 08 Jul 2004 23:15:11 +0000

happy (1.13-0tarball-5) unstable; urgency=low


