=== debian/control ===
Source: happy
Section: haskell
Priority: extra
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders: Iain Lane <laney@ubuntu.com>
Standards-Version: 3.8.4
Build-Depends: cdbs (>= 0.4.59), 
               haskell-devscripts (>= 0.7),
               debhelper (>= 7),
               autoconf,
               docbook-utils,
               ghc6,
               docbook-xsl,
               docbook-xml,
               xsltproc,
               happy,
               libghc6-mtl-dev
Homepage: http://www.haskell.org/happy
Vcs-Darcs: http://darcs.debian.org/darcs/pkg-haskell/happy
Vcs-Browser: http://darcs.debian.org/cgi-bin/darcsweb.cgi?r=pkg-haskell/happy


Package: happy
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${haskell:Depends}
Recommends: ${haskell:Recommends}
Suggests: haskell-doc, info-browser, ${haskell:Suggests}
Replaces: ghc-cvs (<< 20031221)
Description: Parser generator for Haskell
 Happy is a parser generator system for Haskell, similar to the tool `yacc' for
 C. Like `yacc', it takes a file containing an annotated BNF specification of a
 grammar and produces a Haskell module containing a parser for the grammar.
 .
 Happy is flexible: you can have several Happy parsers in the same program, and
 several entry points to a single grammar. Happy can work in conjunction with a
 lexical analyser supplied by the user (either hand-written or generated by
 another program), or it can parse a stream of characters directly (but this
 isn't practical in most cases).
