## happy 1.18.6

=== debian/changelog ===
happy (1.18.6-1) unstable; urgency=low

  [ Marco Silva ]
  * Use ghc instead of ghc6

  [ Joachim Breitner ]
  * New upstream release 

 -- Joachim Breitner <nomeata@debian.org>  Tue, 29 Mar 2011 13:55:39 +0530
