=== debian/control ===
--- 
+++ 
@@ -9,12 +9,12 @@
                debhelper (>= 7),
                autoconf,
                docbook-utils,
-               ghc6,
+               ghc,
                docbook-xsl,
                docbook-xml,
                xsltproc,
                happy,
-               libghc6-mtl-dev
+               libghc-mtl-dev
 Homepage: http://www.haskell.org/happy
 Vcs-Darcs: http://darcs.debian.org/darcs/pkg-haskell/happy
 Vcs-Browser: http://darcs.debian.org/cgi-bin/darcsweb.cgi?r=pkg-haskell/happy
