=== debian/rules ===
--- 
+++ 
@@ -29,9 +29,9 @@
 	[ -d out ] || mkdir out
 
 	# used in build to stick version into man page
-	ghc6 --make debian/get_version.hs -o debian/get_version
+	ghc --make debian/get_version.hs -o debian/get_version
 
-build/happy:: build-ghc6-stamp
+build/happy:: build-ghc-stamp
 	$(MAKE) -C doc html
 	sed -e "s#@LIBDIR@#/usr/share/happy-`debian/get_version`#g" \
 	    -e "s#@DOCDIR@#/usr/share/doc/happy#g" \
