=== debian/changelog ===
happy (1.18.9-1) unstable; urgency=low

  * New upstream release
  * Simplify build setup a bit 

 -- Joachim Breitner <nomeata@debian.org>  Tue, 07 Feb 2012 21:40:11 +0100
