=== debian/control ===
--- 
+++ 
@@ -13,8 +13,8 @@
                docbook-xsl,
                docbook-xml,
                xsltproc,
-               happy,
-               libghc-mtl-dev
+               libghc-mtl-dev,
+               happy
 Homepage: http://www.haskell.org/happy
 Vcs-Darcs: http://darcs.debian.org/darcs/pkg-haskell/happy
 Vcs-Browser: http://darcs.debian.org/cgi-bin/darcsweb.cgi?r=pkg-haskell/happy
