=== debian/control ===
--- 
+++ 
@@ -3,10 +3,10 @@
 Priority: extra
 Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
 Uploaders: Iain Lane <laney@ubuntu.com>
-Standards-Version: 3.8.4
+Standards-Version: 3.9.4
 Build-Depends: cdbs (>= 0.4.59), 
-               haskell-devscripts (>= 0.7),
-               debhelper (>= 7),
+               haskell-devscripts (>= 0.8.13),
+               debhelper (>= 9),
                autoconf,
                docbook-utils,
                ghc,
