=== examples/glr/expr-monad/Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 
 
 expr : Expr.hs Main.lhs 
-	${GHC} -cpp -fglasgow-exts -package lang -o expr --make Main.lhs
+	${GHC} -cpp -fglasgow-exts  -o expr --make Main.lhs
 
 run : expr
 	./expr "1+2*4-3"
