=== examples/glr/highly-ambiguous/Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 include ${TOP}/Makefile.defs
 
 expr : Expr.hs Main.lhs
-	${GHC} -cpp -fglasgow-exts -package lang -o expr --make Main.lhs
+	${GHC} -cpp -fglasgow-exts  -o expr --make Main.lhs
 
 NUM=20
 run : expr
