=== debian/changelog ===
happy (1.19.0-1) unstable; urgency=low

  * Fix Vcs-Darcs url: http://darcs.debian.org/ instead of
    http://darcs.debian.org/darcs/
  * New upstream release

 -- Joachim Breitner <nomeata@debian.org>  Wed, 18 Sep 2013 19:11:12 +0200
