=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
                libghc-mtl-dev,
                happy
 Homepage: http://www.haskell.org/happy
-Vcs-Darcs: http://darcs.debian.org/darcs/pkg-haskell/happy
+Vcs-Darcs: http://darcs.debian.org/pkg-haskell/happy
 Vcs-Browser: http://darcs.debian.org/cgi-bin/darcsweb.cgi?r=pkg-haskell/happy
