## happy 1.19.4

=== debian/changelog ===
happy (1.19.4-1) unstable; urgency=medium

  * New upstream release

 -- Joachim Breitner <nomeata@debian.org>  Wed, 06 Aug 2014 17:46:22 +0200

happy (1.19.3-1) unstable; urgency=low

  * Adjust watch file to new hackage layout
  * New upstream release

 -- Joachim Breitner <nomeata@debian.org>  Sun, 09 Mar 2014 11:14:29 +0100
