=== examples/glr/highly-ambiguous/Makefile ===
--- 
+++ 
@@ -7,7 +7,6 @@
 NUM=20
 run : expr
 	./expr +RTS -s -RTS ${NUM} | grep ^Ok
-	egrep '' expr.stat > out${NUM}
 
 run30 : 
 	make run NUM=30
