=== debian/control ===
--- 
+++ 
@@ -3,21 +3,22 @@
 Priority: extra
 Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
 Uploaders: Iain Lane <laney@ubuntu.com>
-Standards-Version: 3.9.4
-Build-Depends: cdbs (>= 0.4.59), 
-               haskell-devscripts (>= 0.8.13),
-               debhelper (>= 9),
+Standards-Version: 3.9.6
+Build-Depends: cdbs (>= 0.4.59),
+               haskell-devscripts (>= 0.10),
+               debhelper (>= 9.20141010),
+               dpkg-dev (>= 1.17.14),
                autoconf,
                docbook-utils,
-               ghc,
+               ghc (>= 7.10),
                docbook-xsl,
                docbook-xml,
                xsltproc,
                libghc-mtl-dev,
-               happy
+               happy <!stage1>
 Homepage: http://www.haskell.org/happy
-Vcs-Darcs: http://darcs.debian.org/pkg-haskell/happy
-Vcs-Browser: http://darcs.debian.org/cgi-bin/darcsweb.cgi?r=pkg-haskell/happy
+Vcs-Git: git://git.debian.org/git/pkg-haskell/DHG_packages.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-haskell/DHG_packages.git/
 
 
 Package: happy
