=== examples/glr/highly-ambiguous/Makefile ===
--- 
+++ 
@@ -8,7 +8,7 @@
 run : expr
 	./expr +RTS -s -RTS ${NUM} | grep ^Ok
 
-run30 : 
+run30 :
 	make run NUM=30
 
 test : run eof err
@@ -17,5 +17,5 @@
 	rm -rf expr Expr.info Expr.hs ExprData.hs *.o *.hi out.daVinci
 
 tar :
-	tar chzf aj2.tgz Expr*hs Expr*y Main*hs D*hs 
+	tar chzf aj2.tgz Expr*hs Expr*y Main*hs D*hs
