=== debian/changelog ===
happy (1.19.8-1) unstable; urgency=medium

  * New upstream release (Closes: #876605)

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Tue, 24 Oct 2017 00:46:34 +0300

happy (1.19.7-1) unstable; urgency=medium

  * New upstream release.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sat, 16 Sep 2017 13:14:37 -0700

happy (1.19.6-1) unstable; urgency=medium

  * New upstream release

 -- Sean Whitton <spwhitton@spwhitton.name>  Sun, 03 Sep 2017 19:07:11 -0700

happy (1.19.5-7) unstable; urgency=medium

  * Upload to unstable as part of GHC 8 transition.

 -- Clint Adams <clint@debian.org>  Thu, 27 Oct 2016 18:32:18 -0400

happy (1.19.5-6) experimental; urgency=medium

  [ Dmitry Bogatov ]
  * Use secure (https) uri in Vcs-Git field in 'debian/control'
  * Bump standards version to 3.9.8 (no changes needed)
  * Convert 'debian/copyright' to dep5 format

  [ Clint Adams ]
  * Temporarily build-depend on ghc 8.

 -- Clint Adams <clint@debian.org>  Thu, 13 Oct 2016 14:03:29 -0400
