=== debian/control ===
Source: happy
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders: Iain Lane <laney@ubuntu.com>
Priority: extra
Section: haskell
Standards-Version: 3.9.8
Build-Depends:
 cdbs (>= 0.4.59),
 haskell-devscripts (>= 0.13),
 debhelper (>= 9.20141010),
 dpkg-dev (>= 1.17.14),
 autoconf,
 docbook-utils,
 ghc (>= 8),
 ghc-prof,
 docbook-xsl,
 docbook-xml,
 xsltproc,
 libghc-mtl-dev (>= 2.2.1),
 happy <!stage1>,
Homepage: https://www.haskell.org/happy/
Vcs-Git: https://anonscm.debian.org/cgit/pkg-haskell/DHG_packages.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-haskell/DHG_packages.git/tree/p/happy

Package: happy
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends},
 ${haskell:Depends},
Recommends: ${haskell:Recommends},
Suggests: haskell-doc,
 info-browser,
 ${haskell:Suggests},
Replaces: ghc-cvs (<< 20031221),
Description: Parser generator for Haskell
 Happy is a parser generator system for Haskell, similar to the tool `yacc' for
 C. Like `yacc', it takes a file containing an annotated BNF specification of a
 grammar and produces a Haskell module containing a parser for the grammar.
 .
 Happy is flexible: you can have several Happy parsers in the same program, and
 several entry points to a single grammar. Happy can work in conjunction with a
 lexical analyser supplied by the user (either hand-written or generated by
 another program), or it can parse a stream of characters directly (but this
 isn't practical in most cases).
