## happy 1.19.9

=== tests/Makefile ===
--- 
+++ 
@@ -1,6 +1,13 @@
 HAPPY=../dist/build/happy/happy
-HC=ghc
-HC_OPTS=-hide-all-packages -package base -package array -package mtl -Werror
+HC_OPTS=-hide-all-packages -package base -package array -package mtl -Wall -Werror
+
+ifeq ($(wildcard ../cabal.sandbox.config),)
+    HC = ghc
+    SANDBOX_CONFIG =
+else
+    HC = cabal exec -- ghc
+    SANDBOX_CONFIG = cabal.sandbox.config
+endif
 
 .PRECIOUS: %.n.hs %.g.hs %.o %.exe %.bin
 
@@ -13,8 +20,10 @@
 TESTS = Test.ly TestMulti.ly TestPrecedence.ly bug001.ly \
 	monad001.y monad002.ly precedence001.ly precedence002.y \
 	bogus-token.y bug002.y Partial.ly \
+	issue91.y issue93.y issue94.y issue95.y \
 	AttrGrammar001.y AttrGrammar002.y \
-	test_rules.y monaderror.y
+	test_rules.y monaderror.y monaderror-explist.y \
+	typeclass_monad001.y typeclass_monad002.ly typeclass_monad_lexer.y
 
 ERROR_TESTS = error001.y
 
@@ -56,7 +65,7 @@
 %.agc.hs : %.y
 	$(HAPPY) $(TEST_HAPPY_OPTS) -agc $< -o $@
 
-CLEAN_FILES += *.n.hs *.a.hs *.g.hs *.gc.hs *.ag.hs *.agc.hs *.info *.hi *.bin *.exe
+CLEAN_FILES += *.n.hs *.a.hs *.g.hs *.gc.hs *.ag.hs *.agc.hs *.info *.hi *.bin *.exe *.o *.run.stdout *.run.stderr $(SANDBOX_CONFIG)
 
 ALL_TEST_HS = $(shell echo $(TESTS) | sed -e 's/\([^\. ]*\)\.\(l\)\{0,1\}y/\1.n.hs \1.a.hs \1.g.hs \1.gc.hs \1.ag.hs \1.agc.hs/g')
 
@@ -75,13 +84,13 @@
 check.%.y : %.y
 	@echo "--> Checking $<..."
 	$(HAPPY) $(TEST_HAPPY_OPTS) $< 1>$*.run.stdout 2>$*.run.stderr || true
-	@diff -u $*.stdout $*.run.stdout
-	@diff -u $*.stderr $*.run.stderr
+	@diff -u --ignore-all-space $*.stdout $*.run.stdout
+	@diff -u --ignore-all-space $*.stderr $*.run.stderr
 
 %$(HS_PROG_EXT) : %.hs
 	$(HC) $(HC_OPTS) $($*_LD_OPTS) $< -o $@
 
-all :: $(CHECK_ERROR_TESTS) $(ALL_TESTS)
+all :: $(SANDBOX_CONFIG) $(CHECK_ERROR_TESTS) $(ALL_TESTS)
 
 check-todo::
 	$(HAPPY) $(TEST_HAPPY_OPTS) -ad Test.ly
@@ -101,3 +110,6 @@
 
 clean:
 	$(RM) $(CLEAN_FILES)
+
+cabal.sandbox.config:
+	cabal sandbox init --sandbox=../.cabal-sandbox
