=== debian/changelog ===
happy (1.19.9-4) unstable; urgency=medium

  * Set Rules-Requires-Root to no.
  * Install README.md instead of README.  closes: #903332.

 -- Clint Adams <clint@debian.org>  Sat, 14 Jul 2018 14:20:35 -0400

happy (1.19.9-3) unstable; urgency=medium

  * Use Distribution.Version instead.

 -- Clint Adams <clint@debian.org>  Thu, 12 Apr 2018 14:42:41 -0400

happy (1.19.9-2) unstable; urgency=medium

  * Hide Distribution.Version's showVersion in our get_version util.

 -- Clint Adams <clint@debian.org>  Thu, 12 Apr 2018 10:39:31 -0400

happy (1.19.9-1) unstable; urgency=medium

  [ Ilias Tsitsimpis ]
  * Change Priority to optional. Since Debian Policy version 4.0.1,
    priority extra has been deprecated.
  * Use the HTTPS form of the copyright-format URL
  * Modify d/watch and Source field in d/copyright to use HTTPS
  * Declare compliance with Debian policy 4.1.1
  * Use salsa.debian.org URLs in Vcs-{Browser,Git} fields

  [ Clint Adams ]
  * Bump to Standards-Version 4.1.4.
  * New upstream release

 -- Clint Adams <clint@debian.org>  Mon, 09 Apr 2018 15:06:48 -0400
