=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: happy
 Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
 Uploaders: Iain Lane <laney@ubuntu.com>
-Priority: extra
+Priority: optional
 Section: haskell
-Standards-Version: 3.9.8
+Standards-Version: 4.1.4
+Rules-Requires-Root: no
 Build-Depends:
  cdbs (>= 0.4.59),
  haskell-devscripts (>= 0.13),
@@ -19,8 +20,8 @@
  libghc-mtl-dev (>= 2.2.1),
  happy <!stage1>,
 Homepage: https://www.haskell.org/happy/
-Vcs-Git: https://anonscm.debian.org/cgit/pkg-haskell/DHG_packages.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-haskell/DHG_packages.git/tree/p/happy
+Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git [p/happy]
+Vcs-Browser: https://salsa.debian.org/haskell-team/DHG_packages/tree/master/p/happy
 
 Package: happy
 Architecture: any
