## happy 1.19.11

=== doc/Makefile ===
include config.mk

XML_DOC = happy
INSTALL_XML_DOC = happy

include docbook-xml.mk
