=== tests/Makefile ===
--- 
+++ 
@@ -23,7 +23,8 @@
 	issue91.y issue93.y issue94.y issue95.y \
 	AttrGrammar001.y AttrGrammar002.y \
 	test_rules.y monaderror.y monaderror-explist.y \
-	typeclass_monad001.y typeclass_monad002.ly typeclass_monad_lexer.y
+	typeclass_monad001.y typeclass_monad002.ly typeclass_monad_lexer.y \
+	rank2.y
 
 ERROR_TESTS = error001.y
