=== debian/changelog ===
happy (1.19.11-2) unstable; urgency=medium

  * Don't copy source code files for stage1 builds (Closes: #884750)

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Wed, 29 Jan 2020 11:33:06 +0100

happy (1.19.11-1) unstable; urgency=medium

  * New upstream release

 -- Clint Adams <clint@debian.org>  Sat, 27 Jul 2019 20:29:39 -0400

happy (1.19.9-6) unstable; urgency=medium

  * debian/get_version.hs: Updated for Cabal 2.2

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Wed, 03 Oct 2018 14:45:54 +0300

happy (1.19.9-5) unstable; urgency=medium

  * Bump debhelper compat level to 10
  * Remove build dependency on libghc-mtl-dev (provided by ghc-8.4.3)

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Mon, 01 Oct 2018 13:33:21 +0300
