=== tests/Makefile ===
--- 
+++ 
@@ -1,13 +1,18 @@
+# NOTE: `cabal test` will take care to build the local `happy`
+# executable and place it into $PATH for us to pick up.  
+# 
+# If it doesn't look like the alex binary in $PATH comes from the
+# build tree, then we'll fall back to pointing to
+# ../dist/build/alex/alex to support running tests via "runghc
+# Setup.hs test".
+#
+HAPPY=$(shell which happy)
+ifeq "$(filter $(dir $(shell pwd))%,$(HAPPY))" ""
 HAPPY=../dist/build/happy/happy
-HC_OPTS=-hide-all-packages -package base -package array -package mtl -Wall -Werror
+endif
 
-ifeq ($(wildcard ../cabal.sandbox.config),)
-    HC = ghc
-    SANDBOX_CONFIG =
-else
-    HC = cabal exec -- ghc
-    SANDBOX_CONFIG = cabal.sandbox.config
-endif
+HC = ghc
+HC_OPTS=-Wall -Werror
 
 .PRECIOUS: %.n.hs %.g.hs %.o %.exe %.bin
 
@@ -28,7 +33,9 @@
 
 ERROR_TESTS = error001.y
 
-TEST_HAPPY_OPTS = --strict --template=..
+# NOTE: `cabal` will set the `happy_datadir` env-var accordingly before invoking the test-suite
+#TEST_HAPPY_OPTS = --strict --template=..
+TEST_HAPPY_OPTS = --strict
 
 %.n.hs : %.ly
 	$(HAPPY) $(TEST_HAPPY_OPTS) $< -o $@
