=== debian/changelog ===
happy (1.19.12-2build1) groovy; urgency=medium

  * No-change rebuild against libffi8ubuntu1

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 27 Aug 2020 00:05:00 +0000

happy (1.19.12-2) unstable; urgency=medium

  * Patch debian/get_version.hs for newer Cabal.

 -- Clint Adams <clint@debian.org>  Tue, 02 Jun 2020 17:31:52 -0400

happy (1.19.12-1) unstable; urgency=medium

  * New upstream release

 -- Sean Whitton <spwhitton@spwhitton.name>  Tue, 26 May 2020 09:26:51 -0700
