=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: happy
-Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
 Uploaders: Iain Lane <laney@ubuntu.com>
 Priority: optional
 Section: haskell
@@ -8,16 +9,15 @@
 Build-Depends:
  cdbs (>= 0.4.59),
  haskell-devscripts (>= 0.13),
- debhelper (>= 9.20141010),
+ debhelper (>= 10),
  dpkg-dev (>= 1.17.14),
  autoconf,
  docbook-utils,
- ghc (>= 8),
+ ghc (>= 8.4.3),
  ghc-prof,
  docbook-xsl,
  docbook-xml,
  xsltproc,
- libghc-mtl-dev (>= 2.2.1),
  happy <!stage1>,
 Homepage: https://www.haskell.org/happy/
 Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git [p/happy]
