=== tests/Makefile ===
--- 
+++ 
@@ -29,7 +29,7 @@
 	AttrGrammar001.y AttrGrammar002.y \
 	test_rules.y monaderror.y monaderror-explist.y \
 	typeclass_monad001.y typeclass_monad002.ly typeclass_monad_lexer.y \
-	rank2.y
+	rank2.y shift01.y
 
 ERROR_TESTS = error001.y
